camera = require("hump-master/camera")
require("player")
require("misc")
local anim8 = require("anim8")

local image, animation

function love.load()

image = love.graphics.newImage("assets/animations/Animation.png")
local g = anim8.newGrid(32, 32, image:getWidth(), image:getHeight())
animation = anim8.newAnimation(g('1-8', 1), 0.1)

	love.mouse.setVisible(false)
	player.load()
	cam = camera(player.pos.x, player.pos.y)
	cam.smoother = camera.smooth.linear(100)
end 

function love.update(dt)
	animation:update(dt)


    local dx = player.pos.x - cam.x
    local dy = player.pos.y - cam.y
    cam:move(dx/2, dy/2)
	
	player.update(dt)

	if love.keyboard.isDown("escape") then -- Remove later
		love.event.quit( )
	end 
end

function love.draw()
	cam:attach() -- Everything that should move
		
		love.graphics.rectangle("fill",10,10,10,10)
		player.draw()

	cam:detach()

	love.graphics.print(round(player.pos.x, 0) .. ", ".. round(player.pos.y, 0))
	animation:draw(image, 100, 200)
end 
