player = {}


function player.load()
	player.pos = {x = 300, y = 400}
	player.xvel = 0
	player.yvel = 0
	player.friction = 7
	player.speed = 2250
	player.width = 20
	player.height = 30
	player.deaths = 0
	player.money = 10
end

function player.draw()
	love.graphics.setColor(255,0,0)
	love.graphics.rectangle("fill",player.pos.x, player.pos.y, player.width, player.height)
end

function player.physics(dt)
	player.pos.x = player.pos.x + player.xvel * dt
	player.pos.y = player.pos.y + player.yvel * dt
	player.xvel = player.xvel * (1 - math.min(dt*player.friction, 1)) --Friction
	player.yvel = player.yvel * (1 - math.min(dt*player.friction, 1))

end


function player.move(dt)
	if love.keyboard.isDown("d") or love.keyboard.isDown("right") and player.xvel < player.speed then
		player.xvel = player.xvel + player.speed * dt
		player.direction = "right"
	end

	if love.keyboard.isDown("a") or love.keyboard.isDown("left") and player.xvel < player.speed then 
		player.xvel = player.xvel - player.speed * dt
		player.direction = "left"
	end

	if love.keyboard.isDown("w") or love.keyboard.isDown("up") and player.yvel < player.speed then 
		player.yvel = player.yvel - player.speed * dt
		player.direction = "up"
	end  

	if love.keyboard.isDown("s") or love.keyboard.isDown("down") and player.yvel < player.speed then 
		player.yvel = player.yvel + player.speed * dt
		player.direction = "down"
	end  
end


function player.boundary()
	if player.pos.x < 0 then
		player.pos.x = 0
		player.xvel = 0
	elseif player.pos.x + player.width > 801 then
		player.pos.x = 800 - player.width
		player.xvel = 0
	elseif player.pos.y + player.height > 600 then 
		player.pos.y = 600 - player.height
		player.yvel = 0
	elseif player.pos.y < 0 then 
		player.pos.y = 0
		player.yvel = 0
	end
end

function player.update(dt)
	player.physics(dt)
	player.move(dt)
	
	--player.boundary()
end